class Bullet {

	int x = 0;
	int y = 0;
	int previousCellStatus = 0;

	boolean alive = true;

	PVector position;
	PVector direction;
	int speed = cellSize;

	float timeStarted = 0;
	float timeDelay = 2000;

	ArrayList<Cell> ghosts;

	final int MAX_GHOSTS = 3;

	Bullet(float x_, float y_, float dirX, float dirY, int previousCellStatus_) {
		Start(x_, y_, dirX, dirY, previousCellStatus_);
	}
	void Start(float x_, float y_, float dirX, float dirY, int previousCellStatus_) {
		alive = true;
		position = new PVector(x_, y_);
		direction = new PVector(dirX, dirY);
		direction.normalize();
		// ghosts = new ArrayList<Cell>();
		timeStarted = millis();

		x = int(x_ / cellSize);
		y = int(y_ / cellSize);
		previousCellStatus = previousCellStatus_;
	}

	void Kill() { 
		alive = false;
	}
	boolean IsAlive() { return alive; }

}
